=== debian/changelog ===
aptly (0.9.5-2) unstable; urgency=medium

  * Remove empty component in GOPATH (Closes: #793838)

  [ Sebastien Delafond ]

 -- Sebastien Delafond <seb@debian.org>  Sun, 16 Aug 2015 18:42:22 +0200

aptly (0.9.5-1) unstable; urgency=medium

  * Imported Upstream version 0.9.5
  * Up-to-date bash completion

 -- Sebastien Delafond <seb@debian.org>  Fri, 15 May 2015 10:46:51 +0200

aptly (0.9.1-1) unstable; urgency=medium

  * Imported Upstream version 0.9.1
  * Document licenses and copyrights for new dependencies
  * Suggest graphviz
  * Proper name for bash-completion file
  * Bump-up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Sat, 02 May 2015 12:57:16 +0200
