=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Sebastien Delafond <seb@debian.org>
 Build-Depends: debhelper (>= 9.0.0), golang (>= 1.1), golang-go.tools, bash-completion
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.aptly.info
 Vcs-Git: git://anonscm.debian.org/collab-maint/aptly.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/aptly.git
@@ -11,6 +11,7 @@
 Package: aptly
 Architecture: any
 Depends: bzip2, gnupg, gpgv, ${shlibs:Depends}, ${misc:Depends}
+Suggests: graphviz
 Description: Swiss army knife for Debian repository management
  It offers several features making it easy to manage Debian package
  repositories:
