=== debian/changelog ===
aptly (0.9.6-1) unstable; urgency=medium

  * Import new upstream version 0.9.6
  * Add dependency on xz-utils
  * Licenses and copyrights

 -- Sebastien Delafond <seb@debian.org>  Wed, 10 Feb 2016 18:28:51 +0100
