=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: aptly
 Architecture: any
-Depends: bzip2, gnupg, gpgv, ${shlibs:Depends}, ${misc:Depends}
+Depends: bzip2, xz-utils, gnupg, gpgv, ${shlibs:Depends}, ${misc:Depends}
 Suggests: graphviz
 Description: Swiss army knife for Debian repository management
  It offers several features making it easy to manage Debian package
