=== debian/changelog ===
aptly (0.9.7-1) unstable; urgency=medium

  * Imported new upstream version 0.9.7
  * Add new licenses and copyrights info

 -- Sebastien Delafond <seb@debian.org>  Tue, 24 May 2016 09:17:08 +0200
