=== debian/changelog ===
aptly (1.0.1-1) unstable; urgency=medium

  * Imported Upstream version 1.0.1
  * Update debian/copyright
  * Adapt debian/rules
  * Update Vcs-Git
  * Bump-up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Tue, 18 Jul 2017 11:53:29 +0200
