=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: extra
 Maintainer: Sebastien Delafond <seb@debian.org>
 Build-Depends: debhelper (>= 9.0.0), golang (>= 1.1), golang-go.tools, bash-completion
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.aptly.info
-Vcs-Git: git://anonscm.debian.org/collab-maint/aptly.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/aptly.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/aptly.git
 
 Package: aptly
