## aptly 1.1.1

=== debian/changelog ===
aptly (1.1.1-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports
  * Add debian/gbp.conf

 -- Sebastien Delafond <seb@debian.org>  Fri, 03 Nov 2017 09:03:18 +0100

aptly (1.1.1-2) unstable; urgency=medium

  * Support both uncompressed control.tar, and xz-compressed
    control.tar.xz. Thanks to Boyuan Yang for the patch (Closes: 879718)

 -- Sebastien Delafond <seb@debian.org>  Thu, 02 Nov 2017 13:23:29 +0100

aptly (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1
  * Use bash-completion snippet from upstream
  * Bump up Standards-Version
  * Update debian/copyright
  
 -- Sebastien Delafond <seb@debian.org>  Thu, 02 Nov 2017 09:03:23 +0100
