=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: aptly
 Section: utils
-Priority: extra
+Priority: optional
 Maintainer: Sebastien Delafond <seb@debian.org>
 Build-Depends: debhelper (>= 9.0.0), golang (>= 1.1), golang-go.tools, bash-completion
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://www.aptly.info
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/aptly.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/aptly.git
