=== debian/changelog ===
aptly (1.2.0-3) unstable; urgency=medium

  * Switch to DEP 14
  * Update Vcs-* to point to salsa.d.o

 -- Sebastien Delafond <seb@debian.org>  Fri, 16 Feb 2018 17:02:25 +0100

aptly (1.2.0-2) unstable; urgency=medium

  * Team upload.
  * Build-Depend on golang-any, not golang
  * Set XS-Go-Import-Path

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 10 Feb 2018 18:41:37 +0100

aptly (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0

 -- Sebastien Delafond <seb@debian.org>  Wed, 03 Jan 2018 13:43:30 +0100
