=== debian/changelog ===
aptly (1.3.0-5~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports. (Closes: #902057)

 -- Alexandre Viau <aviau@debian.org>  Tue, 26 Jun 2018 23:34:53 -0400

aptly (1.3.0-5) unstable; urgency=medium

  * Fix syntax-error-in-dep5-copyright.
  * Fix unnecessary-testsuite-autopkgtest-field.
  * Fix broken autopkgtest.
  * Depend on gpgv1.

 -- Alexandre Viau <aviau@debian.org>  Tue, 26 Jun 2018 23:01:36 -0400

aptly (1.3.0-4) unstable; urgency=medium

  * Document #902128 in debian/copyright
  * Point debian/watch to new git repo on GitHub
  * Add simple autopkgtest
  * Add debian/.gitlab-ci.yml
  * Depend on gnupg1 (Closes: #902419)

 -- Sebastien Delafond <seb@debian.org>  Tue, 26 Jun 2018 14:24:34 +0200

aptly (1.3.0-3) unstable; urgency=medium

  * Create aptly-api package. (Closes: #902032)

 -- Alexandre Viau <aviau@debian.org>  Fri, 22 Jun 2018 13:51:50 -0400

aptly (1.3.0-2) unstable; urgency=medium

  * Team upload, many thanks to Alexandre Viau for this work
  * Switch to dh-golang. (Closes: #902038)
  * Fix vcs-field-not-canonical.
  * Fix insecure-copyright-format-uri.

 -- Sebastien Delafond <seb@debian.org>  Fri, 22 Jun 2018 13:53:11 +0200

aptly (1.3.0-1) unstable; urgency=medium

  * Fix copyright
  * New upstream version 1.3.0

 -- Sebastien Delafond <seb@debian.org>  Thu, 21 Jun 2018 15:14:57 +0200

aptly (1.2.0-4) unstable; urgency=medium

  * Enable Built-Using in debian/control (thanks M. Staperberg)

 -- Sebastien Delafond <seb@debian.org>  Tue, 06 Mar 2018 10:10:42 +0100
