=== debian/tests/control ===
Test-Command: /usr/bin/dh_golang_autopkgtest
Depends: @, @builddeps@, dh-golang
Restrictions: allow-stderr

Test-Command: aptly repo create autopkgtest
Restrictions: allow-stderr
