## aptly 1.3.0%2Bds1

=== debian/changelog ===
aptly (1.3.0+ds1-2.2~deb10u1) buster; urgency=medium

  * Non-maintainer upload.
  * Rebuild for buster.

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 20 May 2019 02:22:34 +0800

aptly (1.3.0+ds1-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to fix DB backwards compatibility (Closes: #911924)
  * Fix struct field tag typo
  * Update debian/NEWS about DB compatibility

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 16 Apr 2019 00:18:23 +0800

aptly (1.3.0+ds1-2.1) unstable; urgency=medium

  [ Shengjing Zhu ]
  * Non-maintainer upload.
  * Add patch to fix UUID struct field not encoded in msgpack (Closes: #923866)

  [ Tobias Frost ]
  * Prepare upload.

 -- Tobias Frost <tobi@debian.org>  Fri, 05 Apr 2019 17:19:14 +0200

aptly (1.3.0+ds1-2) unstable; urgency=medium

  * Add NEWS to warn about database compatibility.

 -- Alexandre Viau <aviau@debian.org>  Fri, 26 Oct 2018 13:22:38 -0400

aptly (1.3.0+ds1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Alexandre Viau ]
  * d/watch: Append +ds suffix.
  * d/copyright: ignore vendor/*. (Closes: #902128)
  * d/copyright: remove vendor/* sections.
  * d/copyright: MIT -> Expat.
  * d/control: add vendor/* build dependencies.
  * Patch: Use Debian's uuid package.
  * Patch: Use Debian's lzma package.
  * d/rules: remove trailing whitespace.

 -- Alexandre Viau <aviau@debian.org>  Mon, 15 Oct 2018 11:54:03 -0400

aptly (1.3.0-6) unstable; urgency=medium

  * Combine autodep8 and autopkgtest.

 -- Alexandre Viau <aviau@debian.org>  Fri, 29 Jun 2018 18:11:41 -0400
