=== debian/control ===
--- 
+++ 
@@ -7,12 +7,37 @@
                dh-golang,
                golang-any,
                golang-go.tools,
-               bash-completion
+               bash-completion,
+               golang-github-disposaboy-jsonconfigreader-dev,
+               golang-gopkg-h2non-filetype.v1-dev,
+               golang-github-aleksi-pointer-dev,
+               golang-github-awalterschulze-gographviz-dev,
+               golang-github-mkrautz-goar-dev,
+               golang-github-smira-go-xz-dev,
+               golang-github-smira-go-ftp-protocol-dev,
+               golang-github-smira-flag-dev,
+               golang-github-smira-commander-dev,
+               golang-gopkg-cheggaaa-pb.v1-dev,
+               golang-github-mattn-go-shellwords-dev,
+               golang-github-smira-go-aws-auth-dev,
+               golang-github-wsxiaoys-terminal-dev,
+               golang-github-mxk-go-flowrate-dev,
+               golang-github-pborman-uuid-dev,
+               golang-github-kjk-lzma-dev,
+               golang-github-aws-aws-sdk-go-dev,
+               golang-github-gin-gonic-gin-dev,
+               golang-github-ncw-swift-dev,
+               golang-github-pkg-errors-dev,
+               golang-github-syndtr-goleveldb-dev,
+               golang-github-ugorji-go-codec-dev,
+               golang-golang-x-sys-dev,
+               golang-golang-x-crypto-dev,
 Standards-Version: 4.1.3
 Homepage: http://www.aptly.info
 Vcs-Git: https://salsa.debian.org/debian/aptly.git
 Vcs-Browser: https://salsa.debian.org/debian/aptly
 XS-Go-Import-Path: github.com/aptly-dev/aptly
+Testsuite: autopkgtest-pkg-go
 
 Package: aptly
 Architecture: any
